tigase.xmpp.impl

## Class JabberIqRoster

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.JabberIqRoster

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPProcessorIfc, XMPPStopListenerIfc

      public class JabberIqRoster
      extends XMPPProcessor
      implements XMPPProcessorIfc, XMPPStopListenerIfc

  Class `JabberIqRoster` implements part of RFC-3921 - XMPP Instant Messaging specification describing roster management. 7. Roster Management Created: Tue Feb 21 17:42:53 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANON` Field description
    `protected RosterAbstract` | `roster_util` Field description

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JabberIqRoster()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `concurrentQueuesNo()` Method description
    `protected static void` | `dynamicGetRequest(Packet packet, XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` Method description
    `protected static void` | `dynamicSetRequest(Packet packet, XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` Method description
    `static String[]` | `getItemGroups(tigase.xml.Element item)` Method description
    `protected RosterAbstract` | `getRosterUtil()` Method description
    `String` | `id()` Method description
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `protected void` | `processGetRequest(Packet packet, XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` Method description
    `protected void` | `processSetRequest(Packet packet, XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `stopped(XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` `stopped` method is called when user disconnects or logs-out.
    `tigase.xml.Element[]` | `supDiscoFeatures(XMPPResourceConnection session)` Method description
    `String[][]` | `supElementNamePaths()` Method description
    `String[]` | `supNamespaces()` Method description
    `tigase.xml.Element[]` | `supStreamFeatures(XMPPResourceConnection session)` Method description
    `protected void` | `updateHash(XMPPResourceConnection session, Map<String,Object> settings)` Method description

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentThreadsPerQueue, getInstance, getStatistics, init, isSupporting, supElements, supTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentThreadsPerQueue, getStatistics, init, isSupporting, supElements, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### ANON

          public static final String ANON

      Field description
      See Also:
        Constant Field Values

    - #### roster_util

          protected RosterAbstract roster_util

      Field description

  - ### Constructor Detail

    - #### JabberIqRoster

          public JabberIqRoster()

  - ### Method Detail

    - #### getItemGroups

          public static String[] getItemGroups(tigase.xml.Element item)

      Method description
      Parameters:
        `item` -
      Returns:

    - #### dynamicGetRequest

          protected static void dynamicGetRequest(Packet packet,
                               XMPPResourceConnection session,
                               Queue<Packet> results,
                               Map<String,Object> settings)
                                           throws NotAuthorizedException

      Method description
      Parameters:
        `packet` -
        `session` -
        `results` -
        `settings` -
      Throws:
        `NotAuthorizedException`

    - #### dynamicSetRequest

          protected static void dynamicSetRequest(Packet packet,
                               XMPPResourceConnection session,
                               Queue<Packet> results,
                               Map<String,Object> settings)

      Method description
      Parameters:
        `packet` -
        `session` -
        `results` -
        `settings` -

    - #### concurrentQueuesNo

          public int concurrentQueuesNo()

      Method description
      Specified by:
        `concurrentQueuesNo` in interface `XMPPImplIfc`
      Overrides:
        `concurrentQueuesNo` in class `XMPPProcessor`
      Returns:

    - #### id

          public String id()

      Method description
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Method description
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `XMPPException`

    - #### stopped

          public void stopped(XMPPResourceConnection session,
                     Queue<Packet> results,
                     Map<String,Object> settings)

      `stopped` method is called when user disconnects or logs-out.
      Specified by:
        `stopped` in interface `XMPPStopListenerIfc`
      Parameters:
        `session` - a `XMPPResourceConnection` value
        `results` -
        `settings` -

    - #### supDiscoFeatures

          public tigase.xml.Element[] supDiscoFeatures(XMPPResourceConnection session)

      Method description
      Specified by:
        `supDiscoFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supDiscoFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Method description
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:

    - #### supNamespaces

          public String[] supNamespaces()

      Method description
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:

    - #### supStreamFeatures

          public tigase.xml.Element[] supStreamFeatures(XMPPResourceConnection session)

      Method description
      Specified by:
        `supStreamFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supStreamFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:

    - #### getRosterUtil

          protected RosterAbstract getRosterUtil()

      Method description
      Returns:

    - #### updateHash

          protected void updateHash(XMPPResourceConnection session,
                        Map<String,Object> settings)
                             throws NotAuthorizedException,
                                    TigaseDBException

      Method description
      Parameters:
        `session` -
        `settings` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### processGetRequest

          protected void processGetRequest(Packet packet,
                               XMPPResourceConnection session,
                               Queue<Packet> results,
                               Map<String,Object> settings)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Method description
      Parameters:
        `packet` -
        `session` -
        `results` -
        `settings` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### processSetRequest

          protected void processSetRequest(Packet packet,
                               XMPPResourceConnection session,
                               Queue<Packet> results,
                               Map<String,Object> settings)
                                    throws XMPPException,
                                           NotAuthorizedException,
                                           TigaseDBException

      Method description
      Parameters:
        `packet` -
        `session` -
        `results` -
        `settings` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`
        `XMPPException`

Copyright © 2013 Tigase. All rights reserved.